#
# spec file for package rsaref (Version 2.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake libtool
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         rsaref
Copyright:    1991-4 RSA Laboratories
Group:        Development/Libraries
Provides:     rsaref
Autoreqprov:  on
Version:      2.0
Release:      133
Summary:      RSA Reference Implementation
Source:       rsaref-2.0.tar.gz
Patch:        rsaref-2.0.dif

%description
RSAREF supports the following algorithms:
o    RSA encryption and key generation [1], as defined by RSA
Laboratories' Public-Key Cryptography Standards (PKCS) [2]
o    MD2 and MD5 message digests [3,4]
o    DES (Data Encryption Standard) in cipher-block chaining mode
[5,6]
o    Diffie-Hellman key agreement [7], as defined by PKCS #3 [8]
o    DESX, RSA Data Security's efficient, secure DES enhancement
o    Triple-DES, for added security with three DES operations

SuSE series: sec

%prep
%setup
%patch
%{?suse_update_config:%{suse_update_config -f }}

%build
cp -rp install/unix local
pushd local
	make
	mv rsaref.a ../librsaref.a
	strip librsaref.so
	mv librsaref.so ../
popd

%install
mkdir -p %{_includedir}/%{name}/
install -m 444 source/rsaref.h source/md2.h source/md5.h source/des.h \
	%{_includedir}/%{name}/
install -m 444 librsaref.a %{_libdir}/
install -m 555 librsaref.so %{_libdir}/librsaref.so.%{version}
install -m 555 librsaref.so %{_libdir}/librsaref.so
ldconfig -l %{_libdir}/librsaref.so.%{version}
%ifarch sparc
	install -m 755 rsacheck-sun-os %{_bindir}
	echo "%{_bindir}/rsacheck-sun-os" > filelist
%else
	touch filelist
%endif
install -m 755 local/dhdemo %{_bindir}/dhdemo
install -m 755 local/dhdemo %{_bindir}/rdemo

%files -f filelist
%doc doc readme.sig readme.txt
%{_libdir}/librsaref.*
%{_includedir}/%{name}/
%{_bindir}/dhdemo
%{_bindir}/rdemo

%changelog -n rsaref
* Thu May 25 2000 - rolf@suse.de
- patch to make it work in 64 bit architectures as well
* Thu May 25 2000 - rolf@suse.de
- initial package
- patch makefile to create shared libs
